.\"
.\" "$Id: mailto.conf.man 9771 2011-05-12 05:21:56Z mike $"
.\"
.\"   mailto.conf man page for CUPS.
.\"
.\"   Copyright 2007-2011 by Apple Inc.
.\"   Copyright 1997-2006 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Apple Inc. and are protected by Federal copyright
.\"   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\"   which should have been included with this file.  If this file is
.\"   file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH mailto.conf 5 "CUPS" "12 July 2006" "Apple Inc."
.SH NAME
mailto.conf \- configuration file for cups email notifier
.SH DESCRIPTION
The \fImailto.conf\fR file defines the local mail server and
email notification preferences for CUPS.
.LP
Each line in the file can be a configuration directive, a blank line,
or a comment. Comment lines start with the # character.
.SH DIRECTIVES
.TP 5
Cc \fIcc-address@domain.com\fR
.br
Specifies an additional recipient for all email notifications.
.TP 5
From \fIfrom-address@domain.com\fR
.br
Specifies the sender of email notifications.
.TP 5
Sendmail \fIsendmail command and options\fR
.br
Specifies the sendmail command to use when sending email
notifications. Only one \fISendmail\fR or \fISMTPServer\fR line
may be present in the \fImailto.conf\fR file. If multiple lines
are present, only the last one is used.
.TP 5
SMTPServer \fIservername\fR
.br
Specifies a SMTP server to send email notifications to. Only one
\fISendmail\fR or \fISMTPServer\fR line may be present in the
\fImailto.conf\fR file. If multiple lines are present, only the
last one is used.
.TP 5
Subject \fIsubject-prefix\fR
.br
Specifies a prefix string for the subject line of an email notification.
.SH SEE ALSO
\fIclasses.conf(5)\fR, \fIcupsd(8)\fR, \fIcupsd.conf(5)\fR,
\fImime.convs(5)\fR, \fImime.types(5)\fR, \fIprinters.conf(5)\fR,
.br
http://localhost:631/help
.SH COPYRIGHT
Copyright 2007-2011 by Apple Inc.
.\"
.\" End of "$Id: mailto.conf.man 9771 2011-05-12 05:21:56Z mike $".
.\"
